=== debian/changelog ===
plasma-desktop (4:5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:13:06 +0000

plasma-desktop (4:5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:23:41 +0000

plasma-desktop (4:5.27.10-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:25:25 +0000

plasma-desktop (4:5.27.10-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:28:55 +0000

plasma-desktop (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:40:41 +0000

plasma-desktop (4:5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Kubuntu kickoff favourites.patch
    - Runtime depend on qml-module-org-kde-kirigami2, xdg-user-dirs,
      and qml-module-org-kde-pipewire.
    - Do not recommend plasma-workspace-wayland or plasma-welcome.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:03:53 -0700

plasma-desktop (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:28:12 +0100

plasma-desktop (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:20 +0000

plasma-desktop (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:55:16 +0200

plasma-desktop (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:33 +0100

plasma-desktop (4:5.27.8-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix versions of plasma-firewall and plasma-welcome in list of
    recommended packages (Closes: #1041450).
  * Add patch to fix plasmashell crashes when dropping a folder with
    many files onto the desktop.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Oct 2023 14:21:10 +0200

plasma-desktop (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:31:15 +0200
