=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: baloo-kf5-dev (>= 5.102.0~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               intltool,
               kded5-dev (>= 5.102.0~),
               kinit-dev (>= 5.102.0~),
               kirigami2-dev (>= 5.102.0~),
               kscreenlocker-dev (>= 5.27.11~),
               kuserfeedback-dev,
               kwin-dev (>= 4:5.27.11~),
               libaccounts-qt5-dev (>= 1.13~),
               libboost-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev (>= 1.5.0~),
               libkaccounts-dev (>= 4:20.04~),
               libkf5activities-dev (>= 5.102.0~),
               libkf5activitiesstats-dev (>= 5.102.0~),
               libkf5attica-dev (>= 5.102.0~),
               libkf5auth-dev (>= 5.102.0~),
               libkf5codecs-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5globalaccel-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5itemmodels-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kdelibs4support-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5newstuff-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5notifyconfig-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5runner-dev (>= 5.102.0~),
               libkf5sonnet-dev (>= 5.102.0~),
               libkf5sysguard-dev (>= 4:5.27.11~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.2~),
               libqt5waylandclient5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libscim-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               pkg-kde-tools (>= 0.15.18~),
               pkgconf,
               plasma-workspace-dev (>= 4:5.27.11~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Rules-Requires-Root: no

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:5.27.10~),
         kactivitymanagerd (>= 5.27.10~),
         kde-cli-tools (>= 4:5.27.10~),
         kded5,
         kio,
         layer-shell-qt (>= 5.27.10~),
         oxygen-sounds (>= 4:5.27.10~),
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-integration (>= 5.27.10~),
         plasma-workspace (>= 4:5.27.10~),
         polkit-kde-agent-1 (>= 4:5.27.10~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-pipewire,
         qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         xdg-user-dirs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:5.27.10~),
            breeze-gtk-theme (>= 5.27.10~),
            fonts-hack,
            fonts-noto-cjk,
            fonts-noto-hinted,
            fonts-noto-mono,
            fonts-noto-unhinted,
            ibus-data,
            kde-config-gtk-style (>= 4:5.27.10~),
            kde-config-screenlocker (>= 5.27.10~),
            kde-config-sddm (>= 4:5.27.10~),
            kde-style-oxygen-qt5 (>= 4:5.27.10~),
            kgamma5 (>= 5.27.10~),
            khelpcenter,
            khotkeys (>= 4:5.27.10~),
            kinfocenter (>= 4:5.27.10~),
            kio-extras,
            kmenuedit (>= 4:5.27.10~),
            kscreen (>= 4:5.27.10~),
            ksshaskpass (>= 4:5.27.10~),
            kwin-x11 (>= 4:5.27.10~) | kwin (>= 4:5.27.10~),
            kwrited (>= 4:5.27.10~),
            libpam-kwallet5 (>= 5.27.10~),
            plasma-browser-integration (>= 5.27.10~),
            plasma-discover (>= 5.27.10~),
            plasma-disks (>= 5.27.10~),
            plasma-firewall (>= 5.27.10~),
            plasma-nm (>= 4:5.27.10~),
            plasma-pa (>= 4:5.27.10~),
            plasma-systemmonitor (>= 5.27.10~),
            plasma-thunderbolt (>= 5.27.10~),
            plasma-vault (>= 5.27.10~),
            powerdevil (>= 4:5.27.10~),
            systemsettings (>= 4:5.27.10~),
            xdg-desktop-portal-gtk,
            xdg-desktop-portal-kde (>= 5.27.10~),
Suggests: kde-config-flatpak (>= 4:5.27.10~),
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-widget-kimpanel,
        plasma-widgets-addons (<< 4:5.17.5~),
        user-manager (<< 4:5.20),
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-widget-kimpanel,
          plasma-widgets-addons (<< 4:5.17.5~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3:any, ${misc:Depends},
Recommends: plasma-framework (>= 4:5.27.10~),
            plasma-workspace (>= 4:5.27.10~),
            qml-module-org-kde-activities,
            qml-module-org-kde-kwindowsystem,
            qml-module-org-kde-newstuff,
            qml-module-qt-labs-platform,
            qml-module-qtquick-dialogs,
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        kdeplasma-addons-data (<< 4:5.17.5~),
        plasma-widget-kimpanel,
        plasma-widgets-addons (<< 4:5.25.70~),
        ${kde-l10n:all},
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          kdeplasma-addons-data (<< 4:5.17.5~),
          plasma-widget-kimpanel,
          plasma-widgets-addons (<< 4:5.25.70~),
          ${kde-l10n:all},
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Breaks: kde-config-touchpad (<< 4:5)
Replaces: kde-config-touchpad (<< 4:5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
